﻿package {

	import flash.display.Sprite;
	import flash.events.Event;
	import flash.display.Stage;
	import flash.display.BitmapData;
	import flash.display.Bitmap;
/*	private function reportKeyDown(event:KeyboardEvent):void {
				trace("Key Pressed: " + String.fromCharCode(event.charCode) + 
				        " (character code: " + event.charCode + ")");
			}
		stage.addEventListener(KeyboardEvent.KEY_DOWN);
*/

	public class Timeline extends Sprite {


		private var _screen:BitmapData;
		private var sensi:Number =40;
		private var cursor:Sprite;
		private var cursora:Sprite;
		
		public function Timeline() {
			/*on cree le background ou les vecteurs vont être arrêtés*/
			_screen = new BitmapData(stage.stageWidth,stage.stageHeight,true,0xff0000);
			/*on en fait un bitmap*/
			var bitmap:Bitmap = new Bitmap(_screen);
			/*on affiche le bitmap*/
			addChild(bitmap);
			/*on cré un curseur de balayage (rouge)*/
			cursor = new Sprite();
			cursor.graphics.beginFill(0x000000,1);
			cursor.graphics.drawRect(0,0,1,stage.stageHeight);
			cursor.graphics.endFill();
			cursora = new Sprite();
			cursora.graphics.beginFill(0x000000,1);
			cursora.graphics.drawRect(0,0,stage.stageWidth,1);
			cursora.graphics.endFill();

			/*on affiche le curseur*/
			addChildAt(cursor,1);
			addChildAt(cursora,1);
			cursor.x=300;
			cursora.y=300;
			/*on affecte un evenement ENTERFRAME*/
			addEventListener(Event.ENTER_FRAME,onEnterFrame);
		}
		private function onEnterFrame(e:Event):void {
			/*on fait avancer le curseur, s'il arrive au bout du stage, on le met à 0*/

	
			
			if (cursor.x< -2) {
				cursor.x = stage.stageWidth;
			}
			if (cursor.x> stage.stageWidth+2) {
				cursor.x =0;
			} else {
				cursor.x+= (mouseX-stage.stageWidth/2)/sensi;
			}
			/*on vérifie une distance d'approche entre le curseur et la souris*/
			//if(Math.abs(cursor.x-cursora.x) <= 20){
			/*on lance une fonction de création avec les coordonées de la souris*/
			buildBubbles(cursor.x,cursora.y);
			//}
			if (cursora.y> stage.stageHeight+2) {
				cursora.y = 0;
			}
			if (cursora.y< -2) {
				cursora.y = stage.stageHeight;
			} else {
				cursora.y+= (mouseY-stage.stageHeight/2)/sensi;
			}
			/*on vérifie une distance d'approche entre le curseur et la souris*/
			if (Math.abs(cursora.x-this.mouseX) <= 20) {
				/*on lance une fonction de création avec les coordonées de la souris*/
				//buildBubbles(this.mouseX,this.mouseY);
			}
		}
		
		
		
		private function buildBubbles(_xpos,_ypos) {
			//on se cré un stylo avec lequelle on va dessiner un cercle et un fond rouge super transparent
			var stylo:Sprite = new Sprite();
			//stylo.graphics.beginFill(0x880000,.004);
			//stylo.graphics.drawRect(0,0,stage.stageWidth,stage.stageHeight);
			//stylo.graphics.endFill();
			stylo.graphics.beginFill(0x000000,.2);
			//stylo.graphics.lineStyle(10,0x000000,.5);
			stylo.graphics.drawCircle(_xpos,_ypos,(((mouseY-stage.stageHeight/2)/10)+((mouseY-stage.stageHeight/2)/10))+5);
			//on copie le dessin du stylo dans notre background
			_screen.draw(stylo);
		}
	}
}